Package org.eclipse.gef.dot.internal.ui

## Class DotNodeLabelPart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractContentPart<javafx.scene.Group>
    - - org.eclipse.gef.zest.fx.parts.AbstractLabelPart
      - - org.eclipse.gef.zest.fx.parts.NodeLabelPart
        - - org.eclipse.gef.dot.internal.ui.DotNodeLabelPart

All Implemented Interfaces:
  `org.eclipse.gef.common.activate.IActivatable`, `org.eclipse.gef.common.adapt.IAdaptable`, `org.eclipse.gef.common.adapt.IAdaptable.Bound<org.eclipse.gef.mvc.fx.viewer.IViewer>`, `org.eclipse.gef.common.dispose.IDisposable`, `org.eclipse.gef.mvc.fx.parts.IContentPart<javafx.scene.Group>`, `org.eclipse.gef.mvc.fx.parts.ITransformableContentPart<javafx.scene.Group>`, `org.eclipse.gef.mvc.fx.parts.IVisualPart<javafx.scene.Group>`

Direct Known Subclasses:
  `DotHTMLNodeLabelPart`

    public class DotNodeLabelPart
    extends org.eclipse.gef.zest.fx.parts.NodeLabelPart

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`org.eclipse.gef.common.adapt.IAdaptable.Bound<A extends org.eclipse.gef.common.adapt.IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<T extends org.eclipse.gef.common.adapt.IAdaptable>`

### Field Summary

### Fields inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`CSS_CLASS_LABEL`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`TRANSFORM_PROVIDER_KEY, TRANSFORM_PROVIDER_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Constructor Summary

Constructors
`DotNodeLabelPart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doRefreshVisual​(javafx.scene.Group visual)` The implementation of this class is mainly taken from the org.eclipse.gef.zest.fx.parts.NodeLabelPart java class.

### Methods inherited from class org.eclipse.gef.zest.fx.parts.NodeLabelPart

`computeLabelPosition, doCreateVisual, doGetContentAnchorages, getContent, getFirstAnchorage`

### Methods inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`createText, doActivate, doAttachToAnchorageVisual, doDeactivate, doDetachFromAnchorageVisual, doGetContentChildren, getContentTransform, getLabelPosition, getLabelPositionAttributeKey, getText, recomputeLabelPosition, refreshPosition, setContentTransform, setLabelPosition`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAddContentChild, doAttachToContentAnchorage, doDetachFromContentAnchorage, doRemoveContentChild, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doAddChildVisual, doRemoveChildVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`getVisualTransform, setVisualTransform`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Constructor Detail

#### DotNodeLabelPart

    public DotNodeLabelPart()

### Method Detail

#### doRefreshVisual

    protected void doRefreshVisual​(javafx.scene.Group visual)

The implementation of this class is mainly taken from the org.eclipse.gef.zest.fx.parts.NodeLabelPart java class. Modification added: applying the external label css style on the Text widget instead of its parent Group.

Overrides:
  `doRefreshVisual` in class `org.eclipse.gef.zest.fx.parts.NodeLabelPart`